// -- Spinner styles ----------------------------------------------------

@-moz-keyframes spinner-loader {
  0%   { @include rotate(0deg);   }
  100% { @include rotate(360deg); }
}
@-webkit-keyframes spinner-loader {
  0%   { @include rotate(0deg);   }
  100% { @include rotate(360deg); }
}
@keyframes spinner-loader {
  0%   { @include rotate(0deg);   }
  100% { @include rotate(360deg); }
}

// :not(:required) hides this rule from IE9 and below
.spinner-loader:not(:required) {
  -moz-box-shadow: rgba(246,141,135,0.3) 1.5em 0 0 0,rgba(96,188,200,0.3) 1.1em 1.1em 0 0,rgba(145,148,194,0.3) 0 1.5em 0 0,rgba(206,101,189,0.3) -1.1em 1.1em 0 0,rgba(246,170,102,0.3) -1.5em 0 0 0,rgba(224,125,145,0.3) -1.1em -1.1em 0 0,rgba(141,214,182,0.3) 0 -1.5em 0 0,rgba(228,149,119,0.3) 1.1em -1.1em 0 0;
  -webkit-box-shadow: rgba(246,141,135,0.3) 1.5em 0 0 0,rgba(96,188,200,0.3) 1.1em 1.1em 0 0,rgba(145,148,194,0.3) 0 1.5em 0 0,rgba(206,101,189,0.3) -1.1em 1.1em 0 0,rgba(246,170,102,0.3) -1.5em 0 0 0,rgba(224,125,145,0.3) -1.1em -1.1em 0 0,rgba(141,214,182,0.3) 0 -1.5em 0 0,rgba(228,149,119,0.3) 1.1em -1.1em 0 0;
  box-shadow: rgb(246,141,135) 1.5em 0 0 0,rgb(96,188,200) 1.1em 1.1em 0 0,rgb(145,148,194) 0 1.5em 0 0,rgb(206,101,189) -1.1em 1.1em 0 0,rgb(246,170,102) -1.5em 0 0 0,rgb(224,125,145) -1.1em -1.1em 0 0,rgb(141,214,182) 0 -1.5em 0 0,rgb(228,149,119) 1.1em -1.1em 0 0;
  display: inline-block;
  font-size: 10px;
  width: 0.5em;
  height: 0.5em;
  margin: 1.5em;
  overflow: hidden;
  text-indent: 100%;
  @include animation(spinner-loader 2500ms infinite linear);
  @include border-radius(0.5em);
  scale: 1.4;
}

button .spinner-loader:not(:required) {
  box-shadow: #EEE 1.5em 0 0 0,#EEE 1.1em 1.1em 0 0,#EEE 0 1.5em 0 0,#EEE -1.1em 1.1em 0 0,#EEE -1.5em 0 0 0,#EEE -1.1em -1.1em 0 0,#EEE 0 -1.5em 0 0,#EEE 1.1em -1.1em 0 0;
  margin: 0.7em 0.5em 0.3em 0.5em;
  scale: 1.1;
}

.flashing {
  animation: flashing 1.5s linear infinite;
}

@-moz-keyframes flashing {
 0%{ opacity: 0.5; }
 50%{ opacity: 0.9; }
 100%{ opacity: 0.5; }
}

@-webkit-keyframes flashing {
 0%{ opacity: 0.5; }
 50%{ opacity: 0.9; }
 100%{ opacity: 0.5; }
}

@keyframes flashing {
 0%{ opacity: 0.5; }
 50%{ opacity: 0.9; }
 100%{ opacity: 0.5; }
}
